<template>
    <NavBar />
    <div class="container mt-4">
        <ListMovies />
    </div>
</template>

<script>
import NavBar from './components/NavBar.vue'
import ListMovies from './components/ListMovies.vue'
import { mapActions } from 'vuex'

export default {
  name: 'App',
  components: {
    NavBar,
    ListMovies
  },
  mounted() {
      this.getPopularMovies()
  },
  methods: {
      ...mapActions('movie', [
          'getPopularMovies'
      ])
  }
}
</script>

<style>
@import './assets/bulma.min.css';
</style>
